package framework.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.QueryHint;
import javax.persistence.Table;
import javax.persistence.Transient;

import org.hibernate.annotations.Cache;
import org.hibernate.annotations.CacheConcurrencyStrategy;
import org.jboss.ejb3.annotation.Clustered;

@Entity
@Cache(usage = CacheConcurrencyStrategy.TRANSACTIONAL)
@NamedQueries({
	@NamedQuery(name = "FIND_ALL_BEGIN_WITH", query = "select param from Parametre param where param.id like :id", hints = { @QueryHint(name = "org.hibernate.cacheable", value = "true") }),
	@NamedQuery(name = "FIND_ALL_PARAM", query = "select param from Parametre param where param.hasScreen = FALSE or param.hasScreen is null order by param.id ", hints = { @QueryHint(name = "org.hibernate.cacheable", value = "true") })
	 })
@Table(name = "parametre")
@Clustered
public class Parametre implements java.io.Serializable  {
	private static final long serialVersionUID = -2659440852216555485L;

	/**
	 * Type de paramtre String
	 */
	public static final String TYPE_STRING = "java.lang.String";
	
	/**
	 * parametre du serveur mail
	 */
	public static final String MAIL_SERVER = "mailServer";

	/**
	 * parametre du serveur mail
	 */
	public static final String APPLICATION_SERVER = "applicationServer";

	/**
	 * parametre du serveur mail
	 */
	public static final String ALERTE_MAIL_TO = "alerteMailTo";
	
	/**
	 * parametre pour l'envoi des messages d'alerte de l'application iftpers
	 */
	public static final String ALERTE_MAIL_TO_PERSONNEL = "alerteMailToPersonnel";
	
	/**
	 * parametre du serveur mail
	 */
	public static final String ERROR_MAIL_TO = "errorMailTo";
	
	/**
	 * parametre du serveur mail
	 */
	public static final String ERROR_MAIL_TO_PERSONNEL = "errorMailToPersonnel";
	
	public static final String DEFAULT_DVD_LOG_PATH =  "defaultFedlogDvdPath";
	public static final String DEFAULT_DIRECTORY_LOG_BATCH =  "defaultDirectoryLogBatch";
	/**
	 * Chemin du rpertoire o seront enregistrs les fichiers starr pc
	 */
	public static final String FMS_DIRECTORY =  "cheminRepertoireFms";
	/**
	 * parametre du batch de rception des commandes : email des chefs de depots
	 */
	public static final String BATCH_COMM_RECEPT_EMAIL_DEPOT = "batchCommReceptEmailDepot";
	/**
	 * parametre du batch de rception des commandes : email de la section achats
	 */
	public static final String BATCH_COMM_RECEPT_EMAIL_SEC_ACHATS = "batchCommReceptEmailSecAchats";
	/**
	 * parametre du batch de rception des commandes : nombre de jours  partir duquel on envoie le mail
	 */
	public static final String BATCH_COMM_RECEPT_NB_JOUR_A_RECEPT = "batchCommReceptNbJourARecept";
	/**
	 * parametre du batch de rception des commandes : priodicit du batch
	 */
	public static final String BATCH_COMM_RECEPT_PERIODICITE = "batchCommReceptPeriodicite";
	/**
	 * parametre du batch de rception des commandes : corps du mail a envoyer
	 */
	public static final String BATCH_COMM_RECEPT_EMAIL_BODY = "batchCommReceptEmailBody";
	/**
	 * parametre du batch de rception des commandes : titre du mail a envoyer
	 */
	public static final String BATCH_COMM_RECEPT_EMAIL_TITLE = "batchCommReceptEmailTitle";

	/**
	 * parametre du batch de rception des commandes : from du mail a envoyer
	 */
	public static final String BATCH_COMM_RECEPT_EMAIL_FROM = "batchCommReceptEmailFrom";

	/**
	 * parametre du batch des dlc dpasses par depot
	 */
	public static final String BATCH_DLC_PERIODICITE_DEPOT = "batchDLCPeriodiciteDepot";

	/**
	 * parametre du batch des dlc dpasses par depot
	 */
	public static final String BATCH_DLC_PERIODICITE_EMAIL_BODY = "batchDLCPeriodiciteEmailBody";

	/**
	 * parametre du batch des dlc dpasses par depot
	 */
	public static final String BATCH_DLC_PERIODICITE_EMAIL_TITLE = "batchDLCPeriodiciteEmailTitle";
	
	/**
	 * parametre du batch contrle des donne FROM
	 */
	public static final String BATCH_CONTROLE_DONNEE_EMAIL_FROM = "batchControleDonneeEmailFrom";
	
	/**
	 * parametre du batch contrle des donne TO
	 */
	public static final String BATCH_CONTROLE_DONNEE_EMAIL_TO = "batchControleDonneeEmailTo";

	/**
	 * parametre du batch des dlc dpasses par depot
	 */
	public static final String BATCH_DLC_PERIODICITE_EMAIL_FROM = "batchDLCPeriodiciteEmailFrom";
	/**
	 * parametre du batch de nettoyage des DPEs
	 */
	public static final String BATCH_NETTOYAGE_DPES_TO = "batchNettoyageDpeDestinataire";
	/**
	 * parametre du batch de nettoyage des DPEs
	 */
	public static final String BATCH_NETTOYAGE_DPES_FROM = "batchNettoyageDpeFrom";

	/**
	 * parametre du mail envoy aprs que le mouvement ait t constat
	 */
	public static final String MOUVEMENT_CONSTATE_EMAIL_FROM = "mouvementConstateEmailFrom";

	/**
	 * parametre du mail envoy aprs que le mouvement ait t constat
	 */
	public static final String MOUVEMENT_CONSTATE_EMAIL_TITLE = "mouvementConstateEmailTitle";

	/**
	 * parametre du mail envoy aprs que le mouvement ait t constat
	 */
	public static final String MOUVEMENT_CONSTATE_EMAIL_BODY = "mouvementConstateEmailBody";
	
	/**
	 * parametre des emails des ateliers
	 */
	public static final String PARAMETRE_EMAIL_ATELIER = "parametreEmailAtelier";

	/**
	 * parametre des emails des fourriers des UAB
	 */
	public static final String PARAMETRE_EMAIL_FOURRIER_UAB = "parametreEmailFourrierUab";

	/**
	 * Paramtre pour le titre de l'email du mail qui avertit l'auteur d'une composition que tous les mouvements ont t excuts
	 */
	public static final String COMPOSITION_FIN_MOUVEMENTS_EMAIL_FROM = "compositionFinMvtsEmailFrom";

	/**
	 * Paramtre pour le titre de l'email du mail qui avertit l'auteur d'une composition que tous les mouvements ont t excuts
	 */
	public static final String COMPOSITION_FIN_MOUVEMENTS_EMAIL_TITLE = "compositionFinMvtsEmailTitle";

	/**
	 * Paramtre pour le corps de l'email du mail qui avertit l'auteur d'une composition que tous les mouvements ont t excuts
	 */
	public static final String COMPOSITION_FIN_MOUVEMENTS_EMAIL_BODY = "compositionFinMvtsEmailBody";

	/**
	 * Nombre de km de dpassmenet entre deux missions  partir duquel le CSecTpt est motifi par mail
	 */
	public static final String TPT_NB_KM_DEPASSEMENT_NOTIFICATION = "nbKmDepassementNotification";

	/**
	 * Responsables des sections tpt des UAB
	 */
	public static final String TPT_RESPONSABLE = "responsableTpt";

	/**
	 * E-mails pour les avertissements concernant les missions par UAB
	 */
	public static final String TPT_AVERTISSEMENT_MAILS = "avertissementMails";

	/**
	 * Nombre de minutes avant le dbut de la mission pour l'avertissement au CSecTpt
	 */
	public static final String TPT_AVERTISSEMENT_DEBUT_MISSION = "avertissementDebutMission";

	/**
	 * Nombre de minutes de retard de la mission pour l'avertissement au CSecTpt
	 */
	public static final String TPT_AVERTISSEMENT_RETARD_MISSION = "avertissementRetardMission";

	/**
	 * parametre du mail envoy  la cration d'un inventaire
	 */
	public static final String INVENTAIRE_NGI_DEBUT_EMAIL_FROM = "inventaireNgiDebutEmailFrom";

	/**
	 * parametre du mail envoy  la cration d'un inventaire
	 */
	public static final String INVENTAIRE_NGI_DEBUT_EMAIL_TITLE = "inventaireNgiDebutEmailTitle";

	/**
	 * parametre du mail envoy  la cration d'un inventaire
	 */
	public static final String INVENTAIRE_NGI_DEBUT_EMAIL_BODY = "inventaireNgiDebutEmailBody";
	
	/**
	 * parametre du mail envoy  la fin d'un inventaire
	 */
	public static final String INVENTAIRE_NGI_FIN_EMAIL_FROM = "inventaireNgiFinEmailFrom";

	/**
	 * parametre du mail envoy  la fin d'un inventaire
	 */
	public static final String INVENTAIRE_NGI_FIN_EMAIL_TITLE = "inventaireNgiFinEmailTitle";

	/**
	 * parametre du mail envoy  la fin d'un inventaire
	 */
	public static final String INVENTAIRE_NGI_FIN_EMAIL_BODY = "inventaireNgiFinEmailBody";
	
	/**
	 * parametre du mail envoy aprs la saisie d'une demande de vhicule pro forma
	 */
	public static final String DV_PRO_FORMA_EMAIL_FROM = "dvProformaEmailFrom";

	/**
	 * parametre du mail envoy aprs la saisie d'une demande de vhicule pro forma
	 */
	public static final String DV_PRO_FORMA_EMAIL_TITLE = "dvProformaEmailTitle";

	/**
	 * parametre du mail envoy aprs la saisie d'une demande de vhicule pro forma
	 */
	public static final String DV_PRO_FORMA_EMAIL_BODY = "dvProformaEmailBody";
	
	/**
	 * parametre du mail envoy aprs la saisie d'une demande de vhicule urgente
	 */
	public static final String DV_URGENTE_EMAIL_FROM = "dvUrgenteEmailFrom";

	/**
	 * parametre du mail envoy aprs la saisie d'une demande de vhicule urgente
	 */
	public static final String DV_URGENTE_EMAIL_TITLE = "dvUrgenteEmailTitle";

	/**
	 * parametre du mail envoy aprs la saisie d'une demande de vhicule urgente
	 */
	public static final String DV_URGENTE_EMAIL_BODY = "dvUrgenteEmailBody";
	
	/**
	 * parametre du mail envoy s'il y a eu un dpassement km entre 2 missions
	 */
	public static final String DEPASSEMENT_KM_EMAIL_TITLE = "depassementKmEmailTitle";

	/**
	 * parametre du mail envoy s'il y a eu un dpassement km entre 2 missions
	 */
	public static final String DEPASSEMENT_KM_EMAIL_FROM = "depassementKmEmailFrom";

	/**
	 * parametre du mail envoy s'il y a eu un dpassement km entre 2 missions
	 */
	public static final String DEPASSEMENT_KM_EMAIL_BODY = "depassementKmEmailBody";

	/**
	 * parametre du mail envoy aprs le refus d'une demande de vhicule
	 */
	public static final String DV_REFUSEE_EMAIL_FROM = "dvRefuseeEmailFrom";
	/**
	 * parametre du mail envoy aprs le refus d'une demande de vhicule
	 */
	public static final String DV_REFUSEE_EMAIL_TITLE = "dvRefuseeEmailTitle";
	/**
	 * parametre du mail envoy aprs le refus d'une demande de vhicule
	 */
	public static final String DV_REFUSEE_EMAIL_BODY = "dvRefuseeEmailBody";
	
	/**
	 * parametre du mail envoy aprs l'accord d'une demande de vhicule
	 */
	public static final String DV_ACCORDEE_EMAIL_FROM = "dvAccordeeEmailFrom";

	/**
	 * parametre du mail envoy aprs l'accord d'une demande de vhicule
	 */
	public static final String DV_ACCORDEE_EMAIL_TITLE = "dvAccordeeEmailTitle";
	/**
	 * parametre du mail envoy aprs l'accord d'une demande de vhicule
	 */
	public static final String DV_ACCORDEE_EMAIL_BODY = "dvAccordeeEmailBody";

	/**
	 * parametre du mail envoy pour le suivi de comamnde
	 */
	public static final String SUIVI_COMMANDE_EMAIL_FROM = "suiviCommandeEmailFrom";

	/**
	 * parametre du mail envoy pour le suivi de comamnde
	 */
	public static final String SUIVI_COMMANDE_EMAIL_SUBJECT = "suiviCommandeEmailSubject";
	/**
	 * parametre du mail envoy pour le suivi de commande
	 */
	public static final String SUIVI_COMMANDE_EMAIL_BODY = "suiviCommandeEmailBody";
	/**
	 * paramtre de la gestion de stock
	 */
	public static final String BATCH_GESTION_STOCK_LAST_NGI = "BatchGestionStockLastNgi";
	/**
	 * parametre de l agestion de stock
	 */
	public static final String BATCH_GESTION_STOCK_LAST_PAGE = "BatchGestionStockLastPage";
	/**
	 * parametre du mail envoy en rupture de stock
	 */
	public static final String BATCH_GESTION_STOCK_RISQUE_RUPTURE_STOCK_EMAIL_FROM = "batchGestionStockRisqueRuptureStockEmailFrom";
	/**
	 * parametre du mail envoy en rupture de stock
	 */
	public static final String BATCH_GESTION_STOCK_RISQUE_RUPTURE_STOCK_EMAIL_BODY = "batchGestionStockRisqueRuptureStockEmailBody";
	/**
	 * parametre du mail envoy en rupture de stock
	 */
	public static final String BATCH_GESTION_STOCK_RISQUE_RUPTURE_STOCK_EMAIL_TITLE = "batchGestionStockRisqueRuptureStockEmailTitle";
	/**
	 * parametre du mail de la gestion de stock
	 */
	public static final String BATCH_GESTION_STOCK_EMAIL_DEPOT = "batchGestionStockEmailDepot";
	/**
	 * parametre du mail envoy en rupture de stock
	 */
	public static final String BATCH_GESTION_STOCK_RISQUE_RUPTURE_STOCK_COMMENTAIRE = "batchGestionStockRisqueRuptureStockCommentaire";
	/**
	 * parametre du mail envoy en retard de livraison
	 */
	public static final String BATCH_GESTION_STOCK_RETARD_LIVRAISON_EMAIL_BODY = "batchGestionStockRetardLivraisonEmailBody";
	/**
	 * parametre du mail envoy en retard de livraison
	 */
	public static final String BATCH_GESTION_STOCK_RETARD_LIVRAISON_EMAIL_FROM = "batchGestionStockRetardLivraisonEmailFrom";
	/**
	 * parametre du mail envoy en retard de livraison
	 */
	public static final String BATCH_GESTION_STOCK_RETARD_LIVRAISON_EMAIL_TITLE = "batchGestionStockRetardLivraisonEmailTitle";
	
	/**
	 * Batch dlc arrivant  chance commentaireparametre du mail envoy en retard de livraison
	 */
	public static final String BATCH_DLC_ARRIVANT_A_ECHEANCE_COMMENTAIRE = "batchDlcArrivantAEcheanceCommentaire";
	
	/**
	 * Paramtre pour la taille maximale des photos d'une DOT
	 */
	public static final String TAILLE_MAXI_PHOTO_DOT = "tailleMaximalePhotosDot";
	
	/**
	 * parametre du mail envoy aprs la confirmation du rendez-vous pour une inspection
	 */
	public static final String ENTRETIEN_RDV_EMAIL_FROM = "entretienRdvEmailFrom";
	
	/**
	 * parametre du mail envoy aprs la confirmation du rendez-vous pour une inspection
	 */
	public static final String ENTRETIEN_RDV_EMAIL_TITLE = "entretienRdvEmailTitle";
	
	/**
	 * parametre du mail envoy aprs la confirmation du rendez-vous pour une inspection
	 */
	public static final String ENTRETIEN_RDV_EMAIL_BODY = "entretienRdvEmailBody";
	
	/**
	 * Parametre pour le titre de l'email d'alerte des entretiens
	 */
	public static final String BATCH_ALERTE_ENTRETIEN_VEHICULE_EMAIL_TITLE = "alerteEntretienVehiculeEmailTitle";
	
	/**
	 * Parametre pour le titre de l'email d'alerte des entretiens
	 */
	public static final String BATCH_ALERTE_ENTRETIEN_VEHICULE_EMAIL_BODY = "alerteEntretienVehiculeEmailBody";
	
	/**
	 * Parametre pour le titre de l'email d'alerte des entretiens
	 */
	public static final String BATCH_ALERTE_ENTRETIEN_VEHICULE_EMAIL_FROM = "alerteEntretienVehiculeEmailFrom";
	
	/**
	 * parametre du mail envoy au dbut des travaux d'une DOT
	 */
	public static final String DOT_DEBUT_TRAVAUX_EMAIL_FROM = "dotDebutTravauxEmailFrom";

	/**
	 * parametre du mail envoy au dbut des travaux d'une DOT
	 */
	public static final String DOT_DEBUT_TRAVAUX_EMAIL_TITLE = "dotDebutTravauxEmailTitle";

	/**
	 * parametre du mail envoy au dbut des travaux d'une DOT
	 */
	public static final String DOT_DEBUT_TRAVAUX_EMAIL_BODY = "dotDebutTravauxEmailBody";

	/**
	 * parametre du mail envoy au dbut des travaux d'une DOT POUR un vhicule
	 */
	public static final String DOT_VEHICULE_DEBUT_TRAVAUX_EMAIL_BODY = "dotVehiculeDebutTravauxEmailBody";
	
	/**
	 * parametre du mail envoy  la fin des travaux pour un entretien
	 */
	public static final String ENTRETIEN_FIN_TRAVAUX_EMAIL_FROM = "entretienFinTravauxEmailFrom";

	/**
	 * parametre du mail envoy  la fin des travaux pour un entretien
	 */
	public static final String ENTRETIEN_FIN_TRAVAUX_EMAIL_TITLE = "entretienFinTravauxEmailTitle";

	/**
	 * parametre du mail envoy  la fin des travaux pour un entretien
	 */
	public static final String ENTRETIEN_FIN_TRAVAUX_EMAIL_BODY = "entretienFinTravauxEmailBody";

	/**
	 * parametre du mail envoy  la fin des travaux pour une inspection
	 */
	public static final String INSPECTION_FIN_TRAVAUX_EMAIL_FROM = "inspectionFinTravauxEmailFrom";

	/**
	 * parametre du mail envoy  la fin des travaux pour une inspection
	 */
	public static final String INSPECTION_FIN_TRAVAUX_EMAIL_TITLE = "inspectionFinTravauxEmailTitle";

	/**
	 * parametre du mail envoy  la fin des travaux pour une inspection
	 */
	public static final String INSPECTION_FIN_TRAVAUX_EMAIL_BODY = "inspectionFinTravauxEmailBody";
	
	/**
	 * parametre du mail envoy aprs la confirmation du rendez-vous pour une inspection
	 */
	public static final String INSPECTION_RDV_EMAIL_FROM = "inspectionRdvEmailFrom";
	
	/**
	 * parametre du mail envoy aprs la confirmation du rendez-vous pour une inspection
	 */
	public static final String INSPECTION_RDV_EMAIL_TITLE = "inspectionRdvEmailTitle";
	
	/**
	 * parametre du mail envoy aprs la confirmation du rendez-vous pour une inspection
	 */
	public static final String INSPECTION_RDV_EMAIL_BODY = "inspectionRdvEmailBody";
	
	/**
	 * parametre seuil d'alerte de l'age des pneumatiques
	 */
	public static final String SEUIL_ALERTE_AGE_PNEUMATIQUE = "seuilAlerteAgePneumatique";
	
	/**
	 * parametre seuil critique de l'age des pneumatiques
	 */
	public static final String SEUIL_CRITIQUE_AGE_PNEUMATIQUE = "seuilCritiqueAgePneumatique";

	/**
	 * parametre du mail envoy au fourrier de l'UAB concerne aprs modification de son TA
	 */
	public static final String FOURRIER_TA_MODIFIE_EMAIL_FROM = "fourrierTaModifieEmailFrom";

	/**
	 * parametre du mail envoy au fourrier de l'UAB concerne aprs modification de son TA
	 */
	public static final String FOURRIER_TA_MODIFIE_EMAIL_TITLE = "fourrierTaModifieEmailTitle";

	/**
	 * parametre du mail envoy au fourrier de l'UAB concerne aprs modification de son TA
	 */
	public static final String FOURRIER_TA_MODIFIE_EMAIL_BODY = "fourrierTaModifieEmailBody";

	/**
	 * parametre du mail envoy au fourrier de l'UAB concerne aprs modification d'un NGI compos
	 */
	public static final String FOURRIER_NGI_COMPOSE_MODIFIE_EMAIL_FROM = "fourrierNgiComposeModifieEmailFrom";

	/**
	 * parametre du mail envoy au fourrier de l'UAB concerne aprs modification d'un NGI compos
	 */
	public static final String FOURRIER_NGI_COMPOSE_MODIFIE_EMAIL_TITLE = "fourrierNgiComposeModifieEmailTitle";
	
	/**
	 * parametre du mail envoy au fourrier de l'UAB concerne aprs modification d'un NGI compos
	 */
	public static final String FOURRIER_NGI_COMPOSE_MODIFIE_EMAIL_BODY = "fourrierNgiComposeModifieEmailBody";
	/**
	 * Parametre du mail envoy a l'auteur d'un mouvement apres son execution title
	 */
	public static final String EXECUTION_MOUVEMENT_MAIL_AUTEUR_TITLE = "executionMouvementMailAuteurTitle";
	
	/**
	 * EParametre du mail envoy a l'auteur d'un mouvement apres son execution body
	 */
	public static final String EXECUTION_MOUVEMENT_MAIL_AUTEUR_BODY = "executionMouvementMailAuteurBody";
	/**
	 * Parametre du mail envoy a S4
	 */
	public static final String ALERTE_S4_DPE_EMAIL_SUJET = "alerteS4DpeEmailSujet";
	/**
	 * Parametre du mail envoye a S4
	 */
	public static final String ALERTE_S4_DPE_EMAIL_FROM = "alerteS4DpeEmailFrom";

	/**
	 * Parametre demande d'estimation cout from
	 */
    public static final String DEMANDE_ESTIMATION_COUT_EMAIL_FROM = "demandeEstimationCoutEmailFrom";
    
	/**
	 * Parametre demande d'estimation cout from
	 */
    public static final String DEMANDE_ESTIMATION_COUT_EMAIL_SUJET = "demandeEstimationCoutEmailSujet";

	/**
	 * Parametre demande d'estimation cout from
	 */
    public static final String DEMANDE_ESTIMATION_COUT_EMAIL_BODY = "demandeEstimationCoutEmailBody";
    /**
     * Parametre demande d'offre de prix
     */
    public static final String DEMANDE_OFFRE_PRIX_SUJET = "demandeOffrePrixSujet";
    
    /**
     * Parametre demande d'offre de prix
     */
    public static final String DEMANDE_OFFRE_PRIX_BODY = "demandeOffrePrixBody";

    /**
     * Parametre TRANSFERT_FOND_DEMANDE_G8_BODY
     */
    public static final String TRANSFERT_FOND_DEMANDE_G8_BODY = "transfertFondDemandeG8Body";
    
    /**
     * Parametre TRANSFERT_FOND_DEMANDE_G8_Title
     */
    public static final String TRANSFERT_FOND_DEMANDE_G8_TITLE = "transfertFondDemandeG8Title";
    
    /**
     * Parametre TRANSFERT_FOND_DEMANDE_G8_Ligne
     */
    public static final String TRANSFERT_FOND_DEMANDE_G8_LIGNE = "transfertFondDemandeG8Ligne";
        
    /**
	 * parametre du tranfert de commande
	 */
	public static final String TRANSFERT_COMMANDE_COMMENTAIRE = "transfertCommandeCommentaire";
	
	/**
	 * Parametre de mail delegation de pouvoir
	 */
	public static final String MAIL_ALERTE_DELEGATION_SUJET = "mailAlertDelegationSujet";
	
	/**
	 * Parametre de mail delegation changement de statut
	 */
	public static final String MAIL_ALERTE_DELEGATION_CHANGEMENT_STATUT_BODY = "mailAlerteDelegationChangementStatutBody";
	
	/**
	 * Parametre de mail delegation changement de statut
	 */
	public static final String MAIL_ALERTE_DELEGATION_CREATION_BODY = "mailAlerteDelegationCreationBody";

	/**
	 * Parametre de mail delegation changement de cascade
	 */
	public static final String MAIL_ALERTE_DELEGATION_CHANGEMENT_CASCADE_BODY = "mailAlerteDelegationChangementCascadeBody";
	
	/**
	 * Parametre de nombre de tentative d'authenficiation
	 */
	public static final String TENTATIVE_AUTHENTIFICATION = "tentativeAuthentification";

	/**
	 * Paramtre Dotation
	 */
	public static final String DOTATION_ARMEE_EMAIL = "dotationArmeeEmail";
	/**
	 * Paramtre Dotation
	 */
	public static final String DOTATION_ARMEE_MUN_EMAIL = "dotationMunArmeeEmail";
	/**
	 * Paramtre Dotation
	 */
	public static final String DOTATION_UAB_EMAIL = "dotationUabEmail";
	/**
	 * Paramtre Dotation
	 */
	public static final String DOTATION_UAB_MUN_EMAIL = "dotationMunUabEmail";
	/**
	 * Paramtre Dotation
	 */
	public static final String DOTATION_ARMEE_TITLE = "dotationArmeeTitle";
	/**
	 * Paramtre Dotation
	 */
	public static final String DOTATION_ARMEE_MUN_TITLE = "dotationMunArmeeTitle";
	/**
	 * Paramtre Dotation
	 */
	public static final String DOTATION_UAB_TITLE = "dotationUabTitle";
	/**
	 * Paramtre Dotation
	 */
	public static final String DOTATION_UAB_MUN_TITLE = "dotationMunUabTitle";
	/**
	 * Paramtre Dotation
	 */
	public static final String DOTATION_EMAIL_BODY = "dotationEmailBody";
	

	/**
	 * Batch alerte dlc email objet
	 */
	public static final String BATCH_ALERTE_DLC_EMAIL_OBJET = "batchAlerteDlcEmailObjet";
	/**
	 * Batch alerte dlc email from
	 */
	public static final String BATCH_ALERTE_DLC_EMAIL_FROM = "batchAlerteDlcEmailFrom";
	/**
	 * Batch alerte dlc email message
	 */
	public static final String BATCH_ALERTE_DLC_EMAIL_MESSAGE = "batchAlerteDlcEmailMessage";
	
	/**
	 * Identifiant de la position administrative sap Activite
	 */
	public static final String POSITION_ADMINISTRATIVE_DEFAULT_ACTIVITE = "positionAdministrativeDefaultActivite";
	
	/**
	 * Identifiant de bonificationCongeplus50ans
	 */
	public static final String BONNIFICATION_50_ANS_CONGE = "bonificationCongeplus50ans";
	
	/**
	 * Identifiant de la bonificationCongeplus55ans
	 */
	public static final String BONNIFICATION_55_ANS_CONGE = "bonificationCongeplus55ans";
	
	/**
	 * Identifiant de la bonificationCongeHandycape
	 */
	public static final String BONNIFICATION_HANDYCAPE = "bonificationCongeHandycape";
	/**
	 * Identifiant de la droitCar
	 */
	public static final String DROIT_CAR = "droitCar";
	/**
	 * Identifiant de la droitCc
	 */
	public static final String DROIT_CC = "droitCc";
	/**
	 * Identifiant de la droitCe
	 */
	public static final String DROIT_CE = "droitCe";
	/**
	 * Identifiant de la droitCcl
	 */
	public static final String DROIT_CCL = "droitCcl";
	
	/**
	 * parametre du mail envoy  la fin des travaux pour une dot
	 */
	public static final String DOT_FIN_TRAVAUX_EMAIL_FROM = "dotFinTravauxEmailFrom";

	/**
	 * parametre du mail envoy  la fin des travaux pour une dot
	 */
	public static final String DOT_FIN_TRAVAUX_EMAIL_TITLE = "dotFinTravauxEmailTitle";

	/**
	 * parametre du mail envoy  la fin des travaux pour une dot
	 */
	public static final String DOT_FIN_TRAVAUX_EMAIL_BODY = "dotFinTravauxEmailBody";
	
	/**
	 * parametre du mail envoy  la fin des travaux pour une dot pour un vhicule
	 */
	public static final String DOT_VEHICULE_FIN_TRAVAUX_EMAIL_FROM = "dotVehiculeFinTravauxEmailFrom";

	/**
	 * parametre du mail envoy  la fin des travaux pour une dot pour un vhicule
	 */
	public static final String DOT_VEHICULE_FIN_TRAVAUX_EMAIL_TITLE = "dotVehiculeFinTravauxEmailTitle";

	/**
	 * parametre du mail envoy  la fin des travaux pour une dot pour un vhicule
	 */
	public static final String DOT_VEHICULE_FIN_TRAVAUX_EMAIL_BODY = "dotVehiculeFinTravauxEmailBody";
	
	/**
	 * Identifiant de la sapJcoClient
	 */
	public static final String SAP_JCO_CLIENT = "sapJcoClient";
	/**
	 * Identifiant de la sapJcoUserId
	 */
	public static final String SAP_JCO_USERID = "sapJcoUserId";
	/**
	 * Identifiant de la sapJcoPassword
	 */
	public static final String SAP_JCO_PASSWORD = "sapJcoPassword";
	/**
	 * Identifiant de la sapJcoLanguage
	 */
	public static final String SAP_JCO_LANGUAGE = "sapJcoLanguage";
	/**
	 * Identifiant de la sapJcoHostName
	 */
	public static final String SAP_JCO_HOSTNAME = "sapJcoHostName";
	/**
	 * Identifiant de la sapJcoSysId
	 */
	public static final String SAP_JCO_SYSID = "sapJcoSysId";
	/**
	 * Identifiant de la rpniSystemDistant
	 */
	public static final String RPNI_SYSTEM_DISTANT = "rpniSystemDistant";
	/**
	 * Identifiant de la rpniHostname
	 */
	public static final String RPNI_HOSTNAME = "rpniHostname";
	/**
	 * Identifiant de la rpniChannel
	 */
	public static final String RPNI_CHANNEL = "rpniChannel";
	/**
	 * Identifiant de la rpniPort
	 */
	public static final String RPNI_PORT = "rpniPort";
	/**
	 * Identifiant de la rpniSSL
	 */
	public static final String RPNI_SSL_CHIPHER_SUITE = "rpniSSL";
	/**
	 * Identifiant de la rpniPathKey
	 */
	public static final String RPNI_PATH_KEY = "rpniPathKey";
	/**
	 * Identifiant du paramtre rpniQueueManagerName
	 */
	public static final String RPNI_QUEUE_MANAGER_NAME = "rpniQueueManagerName";

	/**
	 * Paramtre utilis pour l'expditeur du mail de notification d'un dossier personnel
	 */
	public static final String NOTIFICATION_REFUS_DOSSIER_EMAIL_FROM = "notificationRefusDossierEmailFrom";
	/**
	 * Paramtre utilis pour l'expditeur du mail de notification d'un dossier personnel
	 */
	public static final String NOTIFICATION_REFUS_DOSSIER_EMAIL_TITLE = "notificationRefusDossierEmailTitle";
	/**
	 * Paramtre utilis pour l'expditeur du mail de notification d'un dossier personnel
	 */
	public static final String NOTIFICATION_REFUS_DOSSIER_EMAIL_BODY = "notificationRefusDossierEmailBody";
	/**
	 * Paramtre de temps de passivation des EJB entit
	 */
	public static final String BEAN_LOADER_MANAGER_MAX_BEAN_AGE = "beanManagerMaxBeanAge";
	/**
	 * Paramtre de temps entre deux passages du bean loader manager
	 */
	public static final String BEAN_LOADER_MANAGER_PERIOD = "beanManagerPeriod";
	/**
	 * PParametre refus PP from
	 */
    public static final String REFUS_PP_FROM = "refusPpFrom";
	/**
	 * Parametre refus PP subject
	 */
    public static final String REFUS_PP_SUBJECT = "refusPpSubject";
	/**
	 * Parametre refus PP body
	 */
    public static final String REFUS_PP_BODY = "refusPpBody";
	/**
	 * PParametre refus annulation PP from
	 */
    public static final String REFUS_ANNULATION_PP_FROM = "refusAnnulationPpFrom";
	/**
	 * Parametre refus annulation PP subject
	 */
    public static final String REFUS_ANNULATION_PP_SUBJECT = "refusAnnulationPpSubject";
	/**
	 * Parametre refus annulation PP body
	 */
    public static final String REFUS_ANNULATION_PP_BODY = "refusAnnulationPpBody";
	/**
	 * Parametre age miminum d'une personne de contact
	 */
    public static final String AGE_MINIMUM_CORRESPONDANT = "ageMinimumCorrespondant";
	/**
	 * Paramtre pour la taille maximale d'un fichier des pieces
	 */
	public static final String TAILLE_MAXI_FICHIER_PIECES = "tailleMaximaleFichierPieces";
	/**
	 * Paramtre pour la taille maximale des fichier d'un document electronique
	 */
	public static final String TAILLE_MAXI_FICHIERS_DOCUMENT_ELECTRONIQUE = "tailleMaximaleFichiersDocumentElectronique";
	/**
	 * Paramtre pour l'expditeur du mail du batch suivi chance
	 */
	public static final String BATCH_SUIVI_ECHEANCE_MAIL_FROM = "batchSuiviEcheanceMailFrom";
	/**
	 * Paramtre pour le sujet du mail du batch suivi chance
	 */
	public static final String BATCH_SUIVI_ECHEANCE_MAIL_SUBJECT = "batchSuiviEcheanceMailSubject";
	/**
	 * Paramtre pour le sujet du mail du batch suivi chance quand le ptvl n'a pas d'email
	 */
	public static final String BATCH_SUIVI_ECHEANCE_MAIL_SUBJECT_MAIL_PTVL_MANQUANT = "batchSuiviEcheanceMailSubjectMailPtvlManquant";
	/**
	 * Paramtre pour le corps du mail du batch suivi chance
	 */
	public static final String BATCH_SUIVI_ECHEANCE_MAIL_BODY = "batchSuiviEcheanceMailBody";
	/**
	 * Paramtre pour la feuille de controle de dpart fourrier unit
	 */
	public static final String FCD_FOURRIER = "fcdFourrier";
	/**
	 * Paramtre pour la feuille de controle de dpart fourrier unit EMA
	 */
	public static final String FCD_FOURRIER_EMA = "fcdFourrierEMA";
	/**
	 * Paramtre pour la feuille de controle de dpart Bureau unit
	 */
	public static final String FCD_BUREAU = "fcdBureau";
	/**
	 * Paramtre pour la feuille de controle de dpart Bureau unit EMA
	 */
	public static final String FCD_BUREAU_EMA = "fcdBureauEMA";
	/**
	 * Paramtre pour la feuille de controle de dpart section didactique
	 */
	public static final String FCD_SECTION_DIDACTIQUE = "fcdSectionDidactique";
	/**
	 * Paramtre pour la feuille de controle de dpart bibliothque
	 */
	public static final String FCD_BIBLIOTHEQUE = "fcdBibliotheque";
	/**
	 * Paramtre pour la feuille de controle de dpart magasin de sport
	 */
	public static final String FCD_MAGASIN_DE_SPORT = "fcdMagasinDeSport";
	/**
	 * Paramtre pour la feuille de controle de dpart mess
	 */
	public static final String FCD_MESS = "fcdMess";
	/**
	 * Paramtre pour la feuille de controle de dpart mess volontaire
	 */
	public static final String FCD_MESS_VOL = "fcdMessVol";
	/**
	 * Paramtre pour la feuille de controle de dpart SvMed
	 */
	public static final String FCD_SVMED = "fcdSvMed";
	/**
	 * Paramtre pour la feuille de controle de dpart Armurerie
	 */
	public static final String FCD_ARMURERIE = "fcdArmurerie";
	/**
	 * Paramtre pour la feuille de controle de dpart SvQM
	 */
	public static final String FCD_SVQM = "fcdSvQM";
	/**
	 * Paramtre pour la feuille de controle de dpart Officier de securit
	 */
	public static final String FCD_OFFICIER_DE_SECURITE = "fcdOfficierDeSecurite";
	/**
	 * Paramtre pour la feuille de controle de dpart Officier de securit EMA
	 */
	public static final String FCD_OFFICIER_DE_SECURITE_EMA = "fcdOfficierDeSecuriteEMA";
	/**
	 * Paramtre pour la feuille de controle de dpart BurBudFin
	 */
	public static final String FCD_BURBUDFIN = "fcdBurBudFin";
	/**
	 * Paramtre pour la feuille de controle de dpart BurBudFin EMA
	 */
	public static final String FCD_BURBUDFIN_EMA = "fcdBurBudFinEMA";
	/**
	 * Paramtre pour la feuille de controle de dpart BurAdmPers
	 */
	public static final String FCD_BURADMPERS = "fcdBurAdmPers";
	/**
	 * Paramtre pour la feuille de controle de dpart BurAdmPers EMA
	 */
	public static final String FCD_BURADMPERS_EMA = "fcdBurAdmPersEMA";
	/**
	 * Paramtre pour la feuille de controle de dpart Bureau accompagnement reconversion
	 */
	public static final String FCD_BUR_ACC_RECONV = "fcdBurAccReconv";
	
	/**
	 * mail envoy  l'tape planifier d'une DOT NGI au propritaire du NGI
	 */
	public static final String DOT_NGI_PLANIFIER_TITLE = "dotNgiPlanifierTitle";
	
	/**
	 * mail envoy  l'tape planifier d'une DOT NGI au propritaire du NGI
	 */
	public static final String DOT_NGI_PLANIFIER_BODY = "dotNgiPlanifierBody";
	
	/**
	 * mail envoy  l'tape travaux en cours d'une DOT NGI au propritaire du NGI
	 */
	public static final String DOT_NGI_FIN_TRAVAUX_TITLE = "dotNgiFinTravauxTitle";
	
	/**
	 * mail envoy  l'tape travaux en cours d'une DOT NGI au propritaire du NGI
	 */
	public static final String DOT_NGI_FIN_TRAVAUX_BODY = "dotNgiFinTravauxBody";
	
	/**
	 * mail envoy  l'tape accorder d'une DOT NGI irreparable au propritaire du NGI
	 */
	public static final String DOT_NGI_IRREPARABLE_TITLE = "dotNgiIrreparableTitle";
	
	/**
	 * mail envoy  l'tape accorder d'une DOT NGI irreparable au propritaire du NGI
	 */
	public static final String DOT_NGI_IRREPARABLE_BODY = "dotNgiIrreparableBody";
	
	/**
	 * mail envoy pour une DOT NGI annulee
	 */
	public static final String DOT_NGI_ANNULEE_TITLE = "dotNgiAnnuleeTitle";
	
	/**
	 * mail envoy pour une DOT NGI annulee
	 */
	public static final String DOT_NGI_ANNULEE_BODY = "dotNgiAnnuleeBody";

	/**
	 * date de la mise en prod IftPers
	 */
	public static final String DATE_MEP_PERS = "dateMepPers";
	
	/**
	 * titre du mail envoy pour demande d'avis complmentaire pour une DAS
	 */
	public static final String DAS_AVIS_COMPLEMENTAIRE = "dasAvisComplementaire";
	
	/**
	 * corps du mail envoy pour demande d'avis complmentaire pour une DAS
	 */
	public static final String DAS_AVIS_COMPLEMENTAIRE_BODY = "dasAvisComplementaireBody";
	
	/**
	 * titre du mail envoy quand un commentaire est saisi pour une DAS
	 */
	public static final String DAS_COMMENTAIRE = "dasCommentaire";
	
	/**
	 * corps du mail envoy quand un commentaire est saisi pour une DAS
	 */
	public static final String DAS_COMMENTAIRE_BODY = "dasCommentaireBody";
	
	/**
	 * titre du mail envoy pour saisie d'avis complmentaire pour une DAS
	 */
	public static final String DAS_SAISIE_AVIS_COMPLEMENTAIRE = "dasSaisieAvisComplementaire";
	
	/**
	 * corps du mail envoy pour saisie d'avis complmentaire pour une DAS
	 */
	public static final String DAS_SAISIE_AVIS_COMPLEMENTAIRE_BODY = "dasSaisieAvisComplementaireBody";
	
	/**
	 * titre du mail envoy quand la das est accorde
	 */
	public static final String DAS_ACCORDEE = "dasAccordee";
	
	/**
	 * corps du mail envoy quand la das est accorde
	 */
	public static final String DAS_ACCORDEE_BODY = "dasAccordeeBody";

	//Concerne les rapports sur les candidatures
	
	public static final String ANNEXE1_BRIGADIER = "annexe1Brigadier";

	public static final String ANNEXE2_BRIGADIER = "annexe2Brigadier";

	public static final String ANNEXE3_BRIGADIER = "annexe3Brigadier";

	public static final String ANNEXE4_BRIGADIER = "annexe4Brigadier";
	
	public static final String ANNEXE5_BRIGADIER = "annexe5Brigadier";

	public static final String ANNEXE6_BRIGADIER = "annexe6Brigadier";

	public static final String ANNEXE7_BRIGADIER = "annexe7Brigadier";

	public static final String CORPS_BRIGADIER = "corpsBrigadier";

	public static final String NOMBRE_ANNEXE_BRIGADIER = "nombreAnnexeBrigadier";

	public static final String OBJET_BRIGADIER = "objetBrigadier";
	
	public static final String CLASSE_NO_BRIGADIER = "classeNoBrigadier";
	
	public static final String CLASSE_NO_DOUANE = "classeNoDouane";
	
	public static final String CLASSE_NO_CAPORAL = "classeNoCaporal";
	
	public static final String CLASSE_NO_SOUS_OFFICIER = "classeNoSousOfficier";
	
	public static final String CLASSE_NO_SOUS_OFFICIER_PENITENTIAIRE = "classeNoSousOfficierPenitentiaire";
		
	public static final String ANNEXE1_DOUANE = "annexe1Douane";

	public static final String ANNEXE2_DOUANE = "annexe2Douane";

	public static final String ANNEXE3_DOUANE = "annexe3Douane";

	public static final String ANNEXE4_DOUANE = "annexe4Douane";
	
	public static final String ANNEXE5_DOUANE = "annexe5Douane";

	public static final String ANNEXE6_DOUANE = "annexe6Douane";

	public static final String ANNEXE7_DOUANE = "annexe7Douane";

	public static final String CORPS_DOUANE = "corpsDouane";

	public static final String NOMBRE_ANNEXE_DOUANE = "nombreAnnexeDouane";

	public static final String OBJET_DOUANE = "objetDouane";
	
	public static final String ANNEXE1_CAPORAL = "annexe1Caporal";

	public static final String ANNEXE2_CAPORAL = "annexe2Caporal";

	public static final String ANNEXE3_CAPORAL = "annexe3Caporal";

	public static final String ANNEXE4_CAPORAL = "annexe4Caporal";
	
	public static final String ANNEXE5_CAPORAL = "annexe5Caporal";

	public static final String ANNEXE6_CAPORAL = "annexe6Caporal";

	public static final String ANNEXE7_CAPORAL = "annexe7Caporal";

	public static final String CORPS_CAPORAL = "corpsCaporal";

	public static final String NOMBRE_ANNEXE_CAPORAL = "nombreAnnexeCaporal";

	public static final String OBJET_CAPORAL = "objetCaporal";
	
	public static final String ANNEXE1_SOUS_OFFICIER = "annexe1SousOfficier";

	public static final String ANNEXE2_SOUS_OFFICIER = "annexe2SousOfficier";

	public static final String ANNEXE3_SOUS_OFFICIER = "annexe3SousOfficier";

	public static final String ANNEXE4_SOUS_OFFICIER = "annexe4SousOfficier";
	
	public static final String ANNEXE5_SOUS_OFFICIER = "annexe5SousOfficier";

	public static final String ANNEXE6_SOUS_OFFICIER = "annexe6SousOfficier";

	public static final String ANNEXE7_SOUS_OFFICIER = "annexe7SousOfficier";

	public static final String CORPS_SOUS_OFFICIER = "corpsSousOfficier";

	public static final String NOMBRE_ANNEXE_SOUS_OFFICIER = "nombreAnnexeSousOfficier";

	public static final String OBJET_SOUS_OFFICIER = "objetSousOfficier";
	
	public static final String ANNEXE1_SOUS_OFFICIER_PENITENTIAIRE = "annexe1SousOfficierPenitentiaire";

	public static final String ANNEXE2_SOUS_OFFICIER_PENITENTIAIRE = "annexe2SousOfficierPenitentiaire";

	public static final String ANNEXE3_SOUS_OFFICIER_PENITENTIAIRE = "annexe3SousOfficierPenitentiaire";

	public static final String ANNEXE4_SOUS_OFFICIER_PENITENTIAIRE = "annexe4SousOfficierPenitentiaire";
	
	public static final String ANNEXE5_SOUS_OFFICIER_PENITENTIAIRE = "annexe5SousOfficierPenitentiaire";

	public static final String ANNEXE6_SOUS_OFFICIER_PENITENTIAIRE = "annexe6SousOfficierPenitentiaire";

	public static final String ANNEXE7_SOUS_OFFICIER_PENITENTIAIRE = "annexe7SousOfficierPenitentiaire";

	public static final String CORPS_SOUS_OFFICIER_PENITENTIAIRE = "corpsSousOfficierPenitentiaire";

	public static final String NOMBRE_ANNEXE_SOUS_OFFICIER_PENITENTIAIRE = "nombreAnnexeSousOfficierPenitentiaire";

	public static final String OBJET_SOUS_OFFICIER_PENITENTIAIRE = "objetSousOfficierPenitentiaire";
	

	/**
	 * Certificat texte condition 1 (18 mois soldat volontaire AR inspecteur de police)
	 */
	public static final String CERTIFICAT_TEXTE_COND_1 = "certificatEmplacementTexteCond1";

	/**
	 * Certificat texte condition 2 (36 mois soldat volontaire exclusivit)
	 */
	public static final String CERTIFICAT_TEXTE_COND_2_EXCLU = "certificatEmplacementTexteCond2Exclusivite";

	/**
	 * Certificat texte condition 2 (36 mois soldat volontaire priorit)
	 */
	public static final String CERTIFICAT_TEXTE_COND_2_PRIORITE = "certificatEmplacementTexteCond2Priorite";
	
	/**
	 * Certificat texte condition 3 (36 mois soldat volontaire exclusivit UDO)
	 */
	public static final String CERTIFICAT_TEXTE_COND_3_EXCLU_UDO = "certificatEmplacementTexteCond3ExclusiviteUDO";

	/**
	 * Certificat texte condition 3 (36 mois soldat volontaire priorit UDO)
	 */
	public static final String CERTIFICAT_TEXTE_COND_3_PRIORITE_UDO = "certificatEmplacementTexteCond3PrioriteUDO";

	/**
	 * Certificat texte condition 4 (36 mois soldat volontaire UDO ouvrier de l'Etat)
	 */
	public static final String CERTIFICAT_TEXTE_COND_4 = "certificatEmplacementTexteCond4";
	/**
	 * Certificat texte annexes
	 */
	public static final String CERTIFICAT_TEXTE_ANNEXES = "certificatEmplacementTexteAnnexes";
	
	/**
	 * Certificat duree condition 1 (18 mois soldat volontaire AR inspecteur de police)
	 */
	public static final String CERTIFICAT_DUREE_COND1 = "certificatDureeCond1";
	
	/**
	 * Certificat duree condition 2 (36 mois soldat volontaire)
	 */
	public static final String CERTIFICAT_DUREE_COND2 = "certificatDureeCond2";
	
	/**
	 * Certificat duree condition 3 (36 mois soldat volontaire UDO)
	 */
	public static final String CERTIFICAT_DUREE_COND3 = "certificatDureeCond3";
	
	/**
	 * Certificat duree condition 4 (36 mois soldat volontaire UDO ouvrier de l'Etat)
	 */
	public static final String CERTIFICAT_DUREE_COND4 = "certificatDureeCond4";

	/**
	 * Certificat duree fin condition 4 (24 mois sortie UDO)
	 */
	public static final String CERTIFICAT_DUREE_FIN_COND4 = "certificatDureeFinCond4";

	/**
	 * Texte certificat priorit condition 1 2 3
	 */
	public static final String CERTIFICAT_DROIT_PRIORITE_TEXTE_COND123 = "certificatDroitPrioriteTexteCond123";
	
	/**
	 * Texte certificat priorit condition 4
	 */
	public static final String CERTIFICAT_DROIT_PRIORITE_TEXTE_COND4 = "certificatDroitPrioriteTexteCond4";
	
	/**
	 * Texte certificat priorit future condition 1 2 3
	 */
	public static final String CERTIFICAT_DROIT_PRIORITE_TEXTE_FUTURE_COND123 = "certificatDroitPrioriteTexteFutureCond123";
	
	/**
	 * Texte certificat priorit future condition 4
	 */
	public static final String CERTIFICAT_DROIT_PRIORITE_TEXTE_FUTURE_COND4 = "certificatDroitPrioriteTexteFutureCond4";

	/**
	 * Texte certificat periodes activit actif volontaire
	 */
	public static final String CERTIFICAT_TEXTE_ACTIF_VOL = "certificatPeriodesActivitesTexteActifVol";
	/**
	 * Texte certificat periodes activit pas actif volontaire
	 */
	public static final String CERTIFICAT_TEXTE_PAS_ACTIF_VOL = "certificatPeriodesActivitesTextePasActifVol";
	/**
	 * Certificat signataire
	 */
	public static final String CERTIFICAT_SIGNATAIRE = "certificatSignataire";
	
	/**
	 * Certificat texte signature
	 */
	public static final String CERTIFICAT_TEXTE_SIGNATURE = "certificatDroitPrioriteTexteSignature";

	/**
	 * Mail pour le rapport du jour
	 */
	public static final String BATCH_RJ_EMAIL = "batchRjEmail";
	
	/**
	 * Mail d'erreur pour le rapport du jour
	 */
	public static final String BATCH_RJ_EMAIL_ERREUR = "batchRjEmailErreur";
	
	/**
	 * Corps du rapport rengagement ancien regime
	 */
	public static final String ARTICLE_RGD_AR = "articleRGDAR";
	
	/**
	 * Corps du rapport rengagement nouveau regime
	 */
	public static final String ARTICLE_RGD_NR = "articleRGDNR";
	
	/**
	 * Corps du rapport rengagement ancien regime
	 */
	public static final String ARTICLE_EGD_AR = "articleEGDAR";
	
	/**
	 * Corps du rapport rengagement nouveau regime
	 */
	public static final String ARTICLE_EGD_NR = "articleEGDNR";
	
	/**
	 * Corps du rapport rengagement ancien regime
	 */
	public static final String ARTICLE_STG_AR = "articleSTGAR";
	
	/**
	 * Corps du rapport rengagement nouveau regime
	 */
	public static final String ARTICLE_STG_NR = "articleSTGNR";
	
	/**
	 * Nombre de mois avant rappel pour la date d''chance pour la fin de la date de stage
	 */
	public static final String NB_MOIS_DATE_RAPPEL_AVANT_ECHEANCE_FIN_STAGE = "nbMoisDateRappelAvantEcheanceFinStage";
		
	/**
	 * Nombre de mois avant rappel pour la date d''chance pour la fin cdd
	 */
	public static final String NB_MOIS_DATE_RAPPEL_AVANT_ECHEANCE_FIN_CDD = "nbMoisDateRappelAvantEcheanceFinCdd";
	
	/**
	 * Nombre de mois avant rappel pour la date d''chance pour le dbut de la reconversion
	 */
	public static final String NB_MOIS_DATE_RAPPEL_AVANT_ECHEANCE_DEBUT_RECONV = "nbMoisDateRappelAvantEcheanceDebutReconv";
	
	/**
	 * Mail pour le batch de controle des mutations
	 */
	public static final String BATCH_CONTROLE_ECHEANCE_MUTATIONS = "batchMutations";
	
	/**
	 * Types de pieces avec fichiers
	 */
	public static final String TYPES_PIECES_AVEC_FICHIER = "typePieceAvecFichier";
	
	/**
	 * infos de contact pour la section achat
	 */
	public static final String RESPONSABLE_SECTION_ACHAT = "responsableSectionAchat";
	
	/**
	 * infos de contact pour la section achat
	 */
	public static final String BON_COMMANDE_ADRESSE_CONTACT_CM = "BonCommandeAdresseContactCM";
	
	/**
	 * Taille des photos PERS
	 */
	public static final String TAILLE_PHOTO_PERS = "tailleMaximalePhotoPers";
	/**
	 * Taille des photos LOG
	 */
	public static final String TAILLE_PHOTO_LOG = "tailleMaximalePhotoLog";
	/**
	 * Taille des fichiers en LOG
	 */
	public static final String TAILLE_FICHIER_LOG = "tailleMaximaleFichierLog";
	/**
	 * Taille des Symbole
	 */
	public static final String TAILLE_SYMBOLE_PERS = "tailleMaximaleSymbolePers";
	/**
	 * Date debut d'utilisation des nonat  13 chiffres
	 */
	public static final String DATE_UTILISATION_FORMAT_13_NO_NAT = "dateDebutUtilisation13chiffresNoNat";
	
	/**
	 * Role 1 permettant d'accorder une DV
	 */
	public static final String ACCORDER_DV_ROLE_1 = "role1AccorderDemandeVehicule";
	
	/**
	 * Role 1 permettant d'accorder une DV
	 */
	public static final String ACCORDER_DV_ROLE_2 = "role2AccorderDemandeVehicule";
	
	/**
	 * Nombre maximum de dossiers pour TM
	 */
	public static final String NB_MAX_DOSSIERS_TM = "nbDossierMaximumTm";
	
	@Id
	private String id;
	private String valeur;
	private String type;
	 
	@Column(name = "has_screen")
	private Boolean hasScreen;
	private String explication;
	private String rubrique;
	private String application;


	public Parametre() {
		
	}
	
	/**
	 * Constructeur pour Parametre
	 * @param id (String)
	 * @param valeur (String)
	 * @param type (String)
	 * @param hasScreen screen (String)
	 * @param explication (String)
	 * @param application (String)
	 * @param rubrique (String)
	 */
	public Parametre(String id, String valeur, String type, boolean hasScreen, String explication, String application, String rubrique) {
		setId(id);
		setValeur(valeur);
		setType(type);
		setHasScreen(hasScreen);
		setExplication(explication);
		setApplication(application);
		setRubrique(rubrique);
	}

	public String getId() {
		return id;
	}
	
	public String getValeur() {
		return valeur;
	}
	
	public String getType() {
		return type;
	}
	
	public Boolean getHasScreen() {
	    return hasScreen;
	}
	
	public String getExplication() {
	    return explication;
	}
	
	public String getRubrique() {
		return rubrique;
	}
	
	public String getApplication() {
		return application;
	}
	
	public void setId(String id) {
		this.id = id;
	}
	
	public void setValeur(String valeur) {
		this.valeur = valeur;
	}
	
	public void setType(String type) {
		this.type = type;
	}

	public void setHasScreen(Boolean hasScreen) {
	    this.hasScreen = hasScreen;
	}

	public void setExplication(String explication) {
	    this.explication = explication;
	}
	
	public void setRubrique(String rubrique) {
		this.rubrique = rubrique;
	}
	
	public void setApplication(String application) {
		this.application = application;
	}
	
	
	/**
	 * Renvoie un clone de lui meme
	 * @return Parametre
	 */
	@Transient
	public Parametre copy() {
		return new Parametre(
						getId(),
						getValeur(),
						getType(),
						getHasScreen(),
						getExplication(),
						getApplication(),
						getRubrique());
	}
	/**
	 * @see java.lang.Object#equals(Object)
	 */
	@Override
	@Transient
	public boolean equals(Object obj) {
		if (!(obj instanceof Parametre)) {
			return false;
		}
		return id.equals(((Parametre) obj).id);
	}
	@Override
	@Transient
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}

	@Override
	@Transient
	public String toString() {
		return "Parametre [id=" + id + ", valeur=" + valeur + ", type="
				+ type + ", hasScreen=" + hasScreen + ", explication="
				+ explication + ", rubrique=" + rubrique + ", application="
				+ application + "]";
	}
}